function CstBackground(fid,CType,CEps,CMue,CXminSpace,CXmaxSpace,CYminSpace,CYmaxSpace,...
    CZminSpace,CZmaxSpace,CThermalType,CThermalConductivity,CApplyInAllDirections)
global mws background

% Funkce CstBackground(fid, CType, CEps, CMue, CXminSpace, CXmaxSpace,
% CYminSpace, CYmaxSpace, CZminSpace, CZmaxSpace, CThermalType,
% CThermalConductivity, CApplyInAllDirections) slouží k nastavení prostředí, ve kterém
% se modelovaný objekt nachází. Funkce nemá návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CType – typ prostředí.
% CEps – definování permitivity.
% CMue - definování permeability.
% CXminSpace – rozměr prostoru ve směru X.
% CXmaxSpace – rozměr prostoru ve směru X.
% CYminSpace – rozměr prostoru ve směru Y.
% CYmaxSpace – rozměr prostoru ve směru Y.
% CZminSpace – rozměr prostoru ve směru Z.
% CZmaxSpace – rozměr prostoru ve směru Z.
% CThermalType – typ teplotně závislého materiálu (normal nebo PTC).
% CThermalConductivity – teplotní vodivost prostředí.
% CApplyInAllDirections – použití rozměru prostoru ve všech směrech.

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstBackground(fid,'Normal',1,1,0,0,0,0,0,0,'Normal',0,'True');

% Background podminky
    fprintf(fid, '%% Background podminky\n');
    fprintf(fid, 'background  = mws.invoke(''Background'');\n');
    fprintf(fid, 'background.invoke(''Reset'');\n');
    fprintf(fid, ['background.invoke(''Type'',''',CType,''');\n']);
    fprintf(fid, ['background.invoke(''Epsilon'',',num2str(CEps),');\n']);
    fprintf(fid, ['background.invoke(''Mue'',',num2str(CMue),');\n']);
    fprintf(fid, ['background.invoke(''XminSpace'',',num2str(CXminSpace),');\n']);
    fprintf(fid, ['background.invoke(''XmaxSpace'',',num2str(CXmaxSpace),');\n']);
    fprintf(fid, ['background.invoke(''YminSpace'',',num2str(CYminSpace),');\n']);
    fprintf(fid, ['background.invoke(''YmaxSpace'',',num2str(CYmaxSpace),');\n']);
    fprintf(fid, ['background.invoke(''ZminSpace'',',num2str(CZminSpace),');\n']);
    fprintf(fid, ['background.invoke(''ZmaxSpace'',',num2str(CZmaxSpace),');\n']);
    fprintf(fid, ['background.invoke(''ThermalType'',''',CThermalType,''');\n']);
    fprintf(fid, ['background.invoke(''ThermalConductivity'',',num2str(CThermalConductivity),');\n']);
    fprintf(fid, ['background.invoke(''ApplyInAllDirections'',''',CApplyInAllDirections,''');\n\n']);

    % Background podminky primo v programu CST
    
    background  = mws.invoke('Background');  
    background.invoke('Reset'); 
    background.invoke('Type',CType); 
    background.invoke('Epsilon',CEps); 
    background.invoke('Mue',CMue); 
    background.invoke('XminSpace',CXminSpace); 
    background.invoke('XmaxSpace',CXmaxSpace); 
    background.invoke('YminSpace',CYminSpace); 
    background.invoke('YmaxSpace',CYmaxSpace); 
    background.invoke('ZminSpace',CZminSpace); 
    background.invoke('ZmaxSpace',CZmaxSpace); 
    background.invoke('ThermalConductivity',CThermalConductivity); 
    background.invoke('ApplyInAllDirections',CApplyInAllDirections); 

end